﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Configuration;

namespace Charting_Example
{
    public class MeasurementData
    {

        public int MeasurementDataId { get; set; }
        public DateTime MeasurementTimeStamp { get; set; }
        public double MeasurementValue { get; set; }

        public List<MeasurementData> GetMeasurementData()
        {

            string connectionString = ConfigurationManager.ConnectionStrings["DatabaseConnectionString"].ConnectionString;

            List<MeasurementData> measurementDataList = new List<MeasurementData>();

            SqlConnection con = new SqlConnection(connectionString);

            string selectSQL = "select MeasurementDataId, MeasurementTimeStamp, MeasurementValue from GetMeasurementData where MeasurementName ='TC01-1'";

            con.Open();

            SqlCommand cmd = new SqlCommand(selectSQL, con);

            SqlDataReader dr = cmd.ExecuteReader();

            if (dr != null)
            {
                while (dr.Read())
                {
                    MeasurementData measurementData = new MeasurementData();

                    measurementData.MeasurementDataId = Convert.ToInt32(dr["MeasurementDataId"]);
                    measurementData.MeasurementTimeStamp = Convert.ToDateTime(dr["MeasurementTimeStamp"]);
                    measurementData.MeasurementValue = Convert.ToDouble(dr["MeasurementValue"]);

                    measurementDataList.Add(measurementData);
                }
            }

            con.Close();

            return measurementDataList;
        }
    }
}