﻿using System;
using System.Collections.Generic;
using System.Web.UI.DataVisualization.Charting;

namespace Charting_Example
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            FillChart();
        }

        private void FillChart()
        {

            chartMeasurementData.Series.Clear();
            chartMeasurementData.Series.Add("MeasurementData");
            chartMeasurementData.Series["MeasurementData"].ChartType = SeriesChartType.Line;

            ChartArea area = chartMeasurementData.ChartAreas[0];
            area.AxisY.Minimum = 20;
            area.AxisY.Maximum = 30;


            List<MeasurementData> measurementList = new List<MeasurementData>();
            MeasurementData measurementData = new MeasurementData();

            measurementList = measurementData.GetMeasurementData();


            foreach (MeasurementData data in measurementList)
            {
                chartMeasurementData.Series["MeasurementData"].Points.AddXY(data.MeasurementDataId, data.MeasurementValue);
            }

        }

    }
}