﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;

namespace MeasurementAPI
{
    public partial class SaveMeasurementData : System.Web.UI.Page
    {

        string connectionString = ConfigurationManager.ConnectionStrings["DatabaseConnectionString"].ConnectionString;

        protected void Page_Load(object sender, EventArgs e)
        {

            string measurementName;
            double measurementValue;

            measurementName = Request.QueryString["name"];
               
            measurementValue = Convert.ToDouble(Request.QueryString["value"]);
            

            if (measurementName != null)
            {
                SaveData(measurementName, measurementValue);
            }


            txtMeasurementName.Text = measurementName;

            txtMeasurementValue.Text = measurementValue.ToString();

        }


        void SaveData(string measurementName, double measurementValue)
        {

            try
            {
                using (SqlConnection con = new SqlConnection(connectionString))
                {
                    SqlCommand cmd = new SqlCommand("SaveMeasurementData", con);
                    cmd.CommandType = CommandType.StoredProcedure;

                    cmd.Parameters.Add(new SqlParameter("@MeasurementName", measurementName));
                    cmd.Parameters.Add(new SqlParameter("@MeasurementValue", measurementValue));

                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }

        }
    }
}